stages:
  - test
  - build
  - release

variables:
  HELM_CHART_NAME: kroki
  TERRAFORM_REGISTRY_MODULE_NAME: tools-k8s
  TERRAFORM_REGISTRY_SYSTEM_NAME: kroki
  TERRAFORM_MODULE_PATH: ./terraform_module
  TERRAFORM_OUT_DIRECTORY: ./out/terraform

include:
  - project: vigigloo/gitlab-pipeline-fragments
    ref: v1
    file:
      - vigigloo/assist.auto.yml
      - registry/helm.auto.yml
      - registry/terraform.auto.yml

.vigigloo:cli:assist:
  image:
    name: registry.gitlab.com/vigigloo/cli:dslim-v1.0.0
  artifacts:
    paths:
      - terraform_module

.vigigloo:registry:terraform:init:
  needs:
    - job: vigigloo:cli:assist
      artifacts: true

.vigigloo:registry:terraform:tflint:
  rules:
    - when: never

.vigigloo:registry:terraform:fmt:
  rules:
    - when: never

.vigigloo:registry:terraform:lint:
  rules:
    - when: never

registry:terraform:upload:
  needs:
    - job: registry:terraform:build
      artifacts: true
    - job: vigigloo:cli:assist
      artifacts: true

".vigigloo:terraform":
  image:
    name: hashicorp/terraform:1.5

